package cleanup

import (
	"fmt"
	"os"
	"testing"
)

func HelloWordToFile() (string, error) {
	f, err := os.Create("output.txt")
	if err != nil {
		return "", err
	}

	_, err = fmt.Fprint(f, "Hello, world!")
	if err != nil {
		f.Close()
		return "", err
	}

	// закрытие файла
	err = f.Close()
	if err != nil {
		return "", err
	}

	return "output_2.txt", nil
}

func TestHelloWordToFile(t *testing.T) {

	result, err := HelloWordToFile()
	if err != nil {
		t.Errorf("Ошибка при выполнении функции: %v", err)
	}

	if _, err := os.Stat(result); os.IsNotExist(err) {
		t.Errorf("Файл не был создан: %s", result)
	}
}
